000036620 - Error observed while editing a rule in BackOffice Policy Management in RSA Adaptive Authentication (on Premise) 7.3 P2

Document created by RSA Customer Support Employee on Aug 16, 2018
Version 1Show Document
  • View in full screen mode

Article Content

Article Number000036620
Applies ToRSA Product Set: Adaptive Authentication (OnPrem)
RSA Version/Condition: 7.3 P2
 
IssueWhile trying to edit a rule in BackOffice policy management application customer observed the following error in WebSphere SystemOut.log
 

00000395 ServletWrappe E com.ibm.ws.webcontainer.servlet.ServletWrapper service SRVE0014E:
Uncaught service() exception root cause backoffice: org.springframework.web.util.NestedServletException:
Request processing failed;
nested exception is java.lang.ClassCastException: com.rsa.unified.entities.policymanager.PolicyList_$$_javassist_2
incompatible with javassist.util.proxy.Proxy
at org.springframework.web.servlet.FrameworkServlet.processRequest
(FrameworkServlet.java:977)
at org.springframework.web.servlet.FrameworkServlet.doPost(FrameworkServlet.java:867)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:595)


 
CauseThere were two javaassist jar files

javassist-3.9.0.GA.jar
javassist-3.18.1-GA.jar

in the lib directory of BackOffice (webapps\backoffice\WEB-INF\lib) causing dependency issue.
ResolutionRemove the older version of javaassist jar in this case javassist-3.9.0.GA.jar from BackOffice (webapps\backoffice\WEB-INF\lib) clear WAS cache and restart WebSphere Application Server

Attachments

    Outcomes